run(1)

NAME
run—Hitachi SH emulator

SYNOPSIS

run [-v] [-p freq] [-m memory] program

DESCRIPTION
Use `run program ' to execute a Hitachi SH binary by interpreting SH machine instructions on your host computer. run is the same emulator used by GDB's `target sim ' command. You can run it directly by executing run if you just want to see your program execute, and do not need any debugger functionality. You can also use run to generate profiling information for analysis with gprof.

OPTIONS

-v  Verbose output. Display the name of the program to run before execution; after execution, display the number of instructions executed, the number of machine cycles emulated, the number of pipeline stalls, the real time taken, the emulated execution time taken, and a summary of how much profiling information was generated.

-p freq
    Generate profile information (for use with gprof ). freq is the profiling frequency. Write the profiling information to a file called gmon.out.

-m memory
    Set the memory size for the emulated machine to two to the power memory. The default value is 19, emulating a board with 524288 bytes of memory.

SEE ALSO
`gprof' entry in info ; `gdb' entry in info ; Using GDB: A Guide to the GNU Source-Level Debugger, Richard M. Stallman and Roland H. Pesch.

COPYING
Copyright (c) 1993 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.